BITSLICE(9)

NAME

bitslice - Converts an unsigned-32 input into individual bits

SYNOPSIS

loadrt bitslice [count=N|names=name1[,name2...]] [personality=P1,P2,...]

DESCRIPTION

This component creates individual bit-outputs for each bit of an unsigned-32 input. The number of bits can be limited by the "personality" modparam. The inverse process can be performed by the weighted_sum HAL component.

FUNCTIONS

bitslice.N

PINS

bitslice.N.in u32 in
    The input value

bitslice.N.out-MM bit out (MM=00..personality)

AUTHOR

Andy Pugh

LICENSE

GPL2+